package com.ruoyi.system.domain.accessory;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 配件对象 rl_accessory
 *
 * @author qzz
 * @date 2024-09-19
 */
@Data
public class RlAccessory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long accessoryId;

    /** 配件名称 */
    @Excel(name = "配件名称")
    private String name;

    /** 车型id */
    @Excel(name = "车型id")
    private Long modelId;

    /** 状态： */
    @Excel(name = "状态：")
    private Integer status;

    public void setAccessoryId(Long accessoryId)
    {
        this.accessoryId = accessoryId;
    }

    public Long getAccessoryId()
    {
        return accessoryId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setModelId(Long modelId)
    {
        this.modelId = modelId;
    }

    public Long getModelId()
    {
        return modelId;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("accessoryId", getAccessoryId())
            .append("name", getName())
            .append("modelId", getModelId())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
