package com.ruoyi.system.domain.order;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.system.domain.RlFunction;
import com.ruoyi.system.domain.accessory.RlAccessoryVO;
import com.ruoyi.system.domain.rule.RlFeeRule;
import lombok.Data;

import java.util.List;

@Data
public class RlOrderVO extends RlOrder{

    /** 用户名*/
    private String userName;

    /** 姓名*/
    private String realName;

    /** 租车周期描述 */
    private String rentalPeriodText;

    /** 店铺名称 */
    private String storeName;

    /** 店铺地址 */
    private String storeAddress;

    /** 代理商 */
    private String agentName;

    @Excel(name = "配件列表")
    private List<RlAccessoryVO> accessorys;

    @Excel(name = "功能列表")
    private List<RlFunction> functionList;

    /** 图片 */
    @Excel(name = "图片")
    private String picture;

    /** 计费规则 */
    private RlFeeRule rule;


}
